## @file
##
## $Id$
##
##       1         2         3         4         5         6         7         8
## 45678901234567890123456789012345678901234567890123456789012345678901234567890

include_HEADERS = pcsc.hxx cryptoki.hxx openssl.hxx cryptaux.hxx	\
                  openssl-engine.hxx suisseid.hxx cardos.hxx		\
                  openssl-compatibility.hxx

noinst_HEADERS = cardgui.hxx cardgui-model.hxx

EXTRA_DIST = ${top_srcdir}/src/*.doc

lib_LTLIBRARIES = libpcscxx.la

libpcscxx_la_SOURCES = cryptoki.cxx cryptoki.hxx pcsc.cxx version.cxx	\
                       openssl-engine.cxx
libpcscxx_la_LDFLAGS = -version-info ${LIB_VERSION}

bin_PROGRAMS =

if HAVE_QTNETWORK
bin_PROGRAMS += cert2text
cert2text_SOURCES = cert2text.cxx
cert2text_LDADD = libpcscxx.la
endif

if HAVE_QTGUI
bin_PROGRAMS += cardgui
cardgui_SOURCES = cardgui.cxx cardgui.hxx password.hxx cardgui-model.hxx \
                  cardgui.ui password.ui
nodist_cardgui_SOURCES = ui_cardgui.hxx ui_password.hxx \
                         moc_cardgui.cxx moc_password.cxx moc_cardgui-model.cxx
BUILT_SOURCES = ${nodist_cardgui_SOURCES}
cardgui_LDADD = libpcscxx.la
endif

noinst_PROGRAMS = versiontest
versiontest_SOURCES = versiontest.cxx

CLEANFILES = ${BUILT_SOURCES}
MAINTAINERCLEANFILES = makefile.in
